Bug 798263 - maven-ant-tasks is incompatible with Maven 3
Summary: maven-ant-tasks is incompatible with Maven 3
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: maven-ant-tasks
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-28 13:15 UTC by Marek Goldmann
Modified: 2012-08-10 19:30 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-10 19:30:57 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 723276 unspecified CLOSED ClassNotFoundException while building with maven-ant-tasks tasks 2020-10-14 00:28:05 UTC
Red Hat Bugzilla 817533 medium CLOSED Review Request: aether-ant-tasks - Ant tasks using Aether to resolve, install and deploy artifacts 2020-10-14 00:28:05 UTC

Internal Links: 723276 817533

Description Marek Goldmann 2012-02-28 13:15:17 UTC
Description of problem:

While executing an Ant tasks that requires maven I get the following stacktrace.

Related upstream bug report: http://jira.codehaus.org/browse/MANTTASKS-165

+ CLASSPATH=/usr/share/java/ant/ant-contrib.jar:/usr/share/java/maven-ant-tasks.jar:/usr/share/java/aqute-bnd.jar:/usr/share/java/maven2/maven-profile.jar:/usr/share/java/maven2/maven-project.jar:/usr/share/java/plexus/plexus-component-api.jar:/usr/share/java/maven2/maven-error-diagnostics.jar:/usr/share/java/plexus/classworlds.jar:/usr/share/java/plexus/utils.jar:/usr/share/java/plexus/interpolation.jar:/usr/share/java/maven-wagon/provider-api.jar:/usr/share/java/maven/maven-model.jar:/usr/share/java/maven/maven-artifact.jar:/usr/share/java/maven/maven-core.jar:/usr/share/java/maven/maven-compat.jar:/usr/share/java/maven/maven-settings.jar:/usr/share/java/maven/maven-settings-builder.jar
+ ant -Djsf.build.home=/home/goldmann/work/glassfish-jsf-impl/BUILD/glassfish-jsf-impl-2.1.7 -Dcontainer.name=tomcat7
Buildfile: /home/goldmann/work/glassfish-jsf-impl/BUILD/glassfish-jsf-impl-2.1.7/build.xml

BUILD FAILED
/home/goldmann/work/glassfish-jsf-impl/BUILD/glassfish-jsf-impl-2.1.7/build.xml:52: The following error occurred while executing this line:
/home/goldmann/work/glassfish-jsf-impl/BUILD/glassfish-jsf-impl-2.1.7/common/ant/common.xml:164: java.lang.NoSuchMethodError: org.apache.maven.settings.RuntimeInfo.<init>(Lorg/apache/maven/settings/Settings;)V
at org.apache.maven.artifact.ant.AbstractArtifactTask.loadSettings(AbstractArtifactTask.java:327)
at org.apache.maven.artifact.ant.AbstractArtifactTask.initSettings(AbstractArtifactTask.java:277)
at org.apache.maven.artifact.ant.AbstractArtifactTask.execute(AbstractArtifactTask.java:717)
at org.apache.tools.ant.UnknownElement.execute(UnknownElement.java:291)
at sun.reflect.GeneratedMethodAccessor4.invoke(Unknown Source)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.lang.reflect.Method.invoke(Method.java:601)
at org.apache.tools.ant.dispatch.DispatchUtils.execute(DispatchUtils.java:106)
at org.apache.tools.ant.Task.perform(Task.java:348)
at org.apache.tools.ant.Target.execute(Target.java:390)
at org.apache.tools.ant.helper.ProjectHelper2.parse(ProjectHelper2.java:169)
at org.apache.tools.ant.taskdefs.ImportTask.importResource(ImportTask.java:225)
at org.apache.tools.ant.taskdefs.ImportTask.execute(ImportTask.java:163)
at org.apache.tools.ant.UnknownElement.execute(UnknownElement.java:291)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.lang.reflect.Method.invoke(Method.java:601)
at org.apache.tools.ant.dispatch.DispatchUtils.execute(DispatchUtils.java:106)
at org.apache.tools.ant.Task.perform(Task.java:348)
at org.apache.tools.ant.Target.execute(Target.java:390)
at org.apache.tools.ant.helper.ProjectHelper2.parse(ProjectHelper2.java:180)
at org.apache.tools.ant.ProjectHelper.configureProject(ProjectHelper.java:82)
at org.apache.tools.ant.Main.runBuild(Main.java:793)
at org.apache.tools.ant.Main.startAnt(Main.java:217)
at org.apache.tools.ant.launch.Launcher.run(Launcher.java:280)
at org.apache.tools.ant.launch.Launcher.main(Launcher.java:109)

Total time: 1 second
error: Bad exit status from /var/tmp/rpm-tmp.tgb4cx (%build)

Version-Release number of selected component (if applicable):

maven-3.0.4-2.fc17.x86_64 and maven-ant-tasks-2.1.1-9.fc17.noarch

Comment 1 Mikolaj Izdebski 2012-08-10 13:54:47 UTC
maven-ant-tasks isn't supposed to be used with Maven 3. Maven 3 uses a different dependency resolution engine -- Aether. With Maven 3 you would probably want to use aether-ant-tasks instead. If I were maven-ant-tasks maintainer I would close it as WONTFIX.

Comment 2 Orion Poplawski 2012-08-10 19:30:57 UTC
Will do.  Looks like I may have to retire this package completely and I'm not sure I can build it anymore.


Note You need to log in before you can comment on or make changes to this bug.